Purchase Order Status History
The purchase order status history resource.
/purchaseOrderStatusHistoryList purchase order status historys
Retrieve a paginated list of purchase order status historys. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/purchaseOrderStatusHistory?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"purchaseOrderId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}
]/purchaseOrderStatusHistoryRetrieve a purchase order status history
Fetch a single purchase order status history by filtering on `id`.
Query parameters
idstringMatch on the purchase order status history's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/purchaseOrderStatusHistory?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"purchaseOrderId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}/purchaseOrderStatusHistoryCreate a purchase order status history
Create a new purchase order status history.
Body parameters
purchaseOrderIdstringrequiredReferences purchaseOrder.id
statuspurchaseOrderStatusrequiredcurl --request POST \
--url https://rest.carbon.ms/purchaseOrderStatusHistory \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"purchaseOrderId":"xyz789","status":"string"}'{
"id": "abc123def456",
"purchaseOrderId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}/purchaseOrderStatusHistoryUpdate a purchase order status history
Update an existing purchase order status history, matched on `id`.
Body parameters
purchaseOrderIdstringrequiredReferences purchaseOrder.id
statuspurchaseOrderStatusrequiredcurl --request PATCH \
--url 'https://rest.carbon.ms/purchaseOrderStatusHistory?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"purchaseOrderId":"xyz789"}'{
"id": "abc123def456",
"purchaseOrderId": "xyz789",
"status": "string",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string"
}/purchaseOrderStatusHistoryDelete a purchase order status history
Delete a purchase order status history, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the purchase order status history to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/purchaseOrderStatusHistory?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'